Create multiple PromotedLinks
/campaigns/{campaignId}/multiplePromotedLinksYou can create multiple new promoted links and associate them with an existing campaign. AmplifyAPi allows you to add your own headline and image for the newly created promoted link. If you'd like to set your own image, then you can do so by providing an http link for the hosted image or by uploadig an image file. if the image is not provided, it will be set via our backend crawler.
linking to a hosted image
POST a JSON hash with the following attributes:
-
text - optional, if not provided, the title will be set via our backend crawler. NOTE: Outbrain now supports the ability to include dynamic values in the headline (English-only) for location and day of week. For more information and instructions on the proper syntax please visit: http://help.outbrain.com/customer/en/portal/articles/1374775-how-do-i-add-more-content-to-my-campaign#dtitle
-
url - mandatory
-
enabled - mandatory
-
cpcAdjustment - optional
-
sectionName - optional
-
description - optional
-
imageMetadata - optional
- id - optional, Outbrain image id in case the image has already been uploaded
- url - optional, http link for the hosted image
- If the image format is mp4, the video should be up to 10sec long
- playMode - optional, the image Play Mode type. Relevant to MP4 and GIF image types. - Determines whether the clip would run once or loop 3 times.
- cropSettings - optional, array of Crop Point. Relevant for Standard images only
- cropType - optional, the image’s custom Crop Type
- aiGenerated - optional, whether this creative was fully or partially generated or modified by an AI tool
-
logoMetadata - optional, this PromotedLink's own brand logo. If omitted, the advertiser's Marketer.logoMetadata is copied in as a one-time default
- id - optional, Outbrain logo id if already uploaded
- url - optional, http link for the hosted logo image
Notes regarding the response:
Since some ads creation may succeed and some may fail, the response is constructed as follows:
-
operationStatus - OperationStatus
-
url - The recent created url (if the response is successful) or the provided url (if present).
-
promotedLink - The recent created promoted link (if the response is successful)
Authorization
obToken Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
The Id of the Campaign
Request Body
application/json
curl -X POST "https://example.com/campaigns/campaignId/multiplePromotedLinks" \ -H "Content-Type: application/json" \ -d '[ { "url": "http://money.cnn.com/2013/11/26/news/economy/milk-farm-bill/", "enabled": true, "text": "My new promoted link 1", "cpc": 0.35, "sectionName": "sectionName1", "imageMetadata": { "url": "http://o.aolcdn.com/hss/storage/adam/f0a6ef54a08f4793bc037805ea57607/felix.jpg", "aiGenerated": true } }, { "enabled": true, "text": "My new promoted link 2", "cpc": 0.43, "sectionName": "sectionName2", "imageMetadata": { "url": "http://o.aolcdn.com/hss/storage/adam/f0a6ef54a08f4793bc037805ea57607/felix.jpg", "aiGenerated": false } }, { "url": "http://money.cnn.com/2013/11/26/news/economy/milk-farm-bill/", "enabled": true, "text": "<script>alert(\'Hello\')</script>", "cpc": 0.27, "sectionName": "sectionName3", "imageMetadata": { "url": "http://o.aolcdn.com/hss/storage/adam/f0a6ef54a08f4793bc037805ea57607/felix.jpg", "aiGenerated": false } } ]'